diff -urpN --exclude-from=/home/davej/.exclude bk-linus/drivers/char/ftape/lowlevel/fdc-io.c linux-2.5/drivers/char/ftape/lowlevel/fdc-io.c
--- bk-linus/drivers/char/ftape/lowlevel/fdc-io.c	2002-11-21 02:14:10.000000000 +0000
+++ linux-2.5/drivers/char/ftape/lowlevel/fdc-io.c	2002-11-21 17:57:55.000000000 +0000
@@ -926,7 +926,7 @@ static inline void fdc_setup_dma(char mo
 	disable_dma(fdc.dma);
 	clear_dma_ff(fdc.dma);
 	set_dma_mode(fdc.dma, mode);
-	set_dma_addr(fdc.dma, virt_to_bus((void*)addr));
+	set_dma_addr(fdc.dma, isa_virt_to_bus((void*)addr));
 	set_dma_count(fdc.dma, count);
 	enable_dma(fdc.dma);
 }
@@ -945,7 +945,7 @@ int fdc_setup_formatting(buffer_struct *
 	/* Program the DMA controller.
 	 */
         TRACE(ft_t_fdc_dma,
-	      "phys. addr. = %lx", virt_to_bus((void*) buff->ptr));
+	      "phys. addr. = %lx", isa_virt_to_bus((void*) buff->ptr));
 	save_flags(flags);
 	cli();			/* could be called from ISR ! */
 	fdc_setup_dma(DMA_MODE_WRITE, buff->ptr, FT_SECTORS_PER_SEGMENT * 4);
@@ -997,7 +997,7 @@ int fdc_setup_read_write(buffer_struct *
 		TRACE_ABORT(-EIO,
 			    ft_t_bug, "bug: illegal operation parameter");
 	}
-	TRACE(ft_t_fdc_dma, "phys. addr. = %lx",virt_to_bus((void*)buff->ptr));
+	TRACE(ft_t_fdc_dma, "phys. addr. = %lx", isa_virt_to_bus((void*)buff->ptr));
 	save_flags(flags);
 	cli();			/* could be called from ISR ! */
 	if (operation != FDC_VERIFY) {
